packet_headerparser_b2.h
Go to the documentation of this file.
/* -*- c++ -*- */
/* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* GNU Radio is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3, or (at your option)
* any later version.
*
* GNU Radio is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with GNU Radio; see the file COPYING. If not, write to
* the Free Software Foundation, Inc., 51 Franklin Street,
* Boston, MA 02110-1301, USA.
*/
#ifndef INCLUDED_CDMA_PACKET_HEADERPARSER_B2_H
#define INCLUDED_CDMA_PACKET_HEADERPARSER_B2_H
#include <cdma/api.h>
#include <gnuradio/sync_block.h>
#include <cdma/packet_header2.h>
namespace gr {
namespace cdma {
/*!
* \brief Post header metadata as a PMT
* \ingroup packet_operators_blk
*
* \details
* In a sense, this is the inverse block to packet_headergenerator_bb.
* The difference is, the parsed header is not output as a stream,
* but as a PMT dictionary, which is published to message port with
* the id "header_data".
*
* The dictionary consists of the tags created by the header formatter
* object. You should be able to use the exact same formatter object
* as used on the Tx side in the packet_headergenerator_bb.
*
* If only a header length is given, this block uses the default header
* format.
*/
class CDMA_API packet_headerparser_b2 : virtual public sync_block
{
public:
typedef boost::shared_ptr<packet_headerparser_b2> sptr;
/*!
* \param header_formatter Header object. This should be the same as used for
* packet_headergenerator_bb.
*/
static sptr make(const gr::cdma::packet_header2::sptr &header_formatter);
/*!
* \param header_len Number of bytes per header
* \param len_tag_key Length Tag Key
*/
static sptr make(long header_len, const std::string &len_tag_key);
};
} // namespace cdma
} // namespace gr
#endif /* INCLUDED_CDMA_PACKET_HEADERPARSER_B1_H */
api.h
CDMA_API
#define CDMA_API
Definition: api.h:30
gr::cdma::packet_header2::sptr
boost::shared_ptr< packet_header2 > sptr
Definition: packet_header2.h:54
gr
Definition: amp_var_est.h:30
packet_header2.h